.. _ratio-class:

Ratio
=====

.. code-block:: cpp

    #include <xo/ratio/ratio.hpp>

A ``ratio`` represents an exact fraction of two integers.

.. doxygenclass:: xo::ratio::ratio

Instance Variables
------------------

.. doxygengroup:: ratio-instance-variables

Types
-----

.. doxygengroup:: ratio-types

Constructors
------------

.. doxygengroup:: ratio-ctor

Static Methods
--------------

.. doxygengroup:: ratio-static-methods

Access Methods
--------------

.. doxygengroup:: ratio-access

General Methods
---------------

.. doxygengroup:: ratio-methods

Conversion
----------

.. doxygengroup:: ratio-conversion
